Open CASCADE Technology: TopLoc_Datum3D Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
TopLoc_Datum3D Class Reference

Describes a coordinate transformation, i.e. a change to an elementary 3D coordinate system, or position in 3D space. A Datum3D is always described relative to the default datum. The default datum is described relative to itself: its origin is (0,0,0), and its axes are (1,0,0) (0,1,0) (0,0,1). More...

`#include <TopLoc_Datum3D.hxx>`

Inheritance diagram for TopLoc_Datum3D:
[legend]

## Public Member Functions
| TopLoc_Datum3D ()
| Constructs a default Datum3D. More...
| TopLoc_Datum3D (const gp_Trsf &T)
| Constructs a Datum3D form a Trsf from gp. An error is raised if the Trsf is not a rigid transformation. More...
const gp_Trsf & | Transformation () const
| Returns a gp_Trsf which, when applied to this datum, produces the default datum. More...
void | ShallowDump (Standard_OStream &S) const
| Writes the contents of this Datum3D to the stream S. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

Describes a coordinate transformation, i.e. a change to an elementary 3D coordinate system, or position in 3D space. A Datum3D is always described relative to the default datum. The default datum is described relative to itself: its origin is (0,0,0), and its axes are (1,0,0) (0,1,0) (0,0,1).

## Constructor & Destructor Documentation

TopLoc_Datum3D::TopLoc_Datum3D | ( |  | ) |

Constructs a default Datum3D.

TopLoc_Datum3D::TopLoc_Datum3D | ( | const gp_Trsf & | T | ) |

Constructs a Datum3D form a Trsf from gp. An error is raised if the Trsf is not a rigid transformation.

## Member Function Documentation

void TopLoc_Datum3D::ShallowDump | ( | Standard_OStream & | S | ) | const

Writes the contents of this Datum3D to the stream S.

const gp_Trsf& TopLoc_Datum3D::Transformation | ( |  | ) | const

Returns a gp_Trsf which, when applied to this datum, produces the default datum.

The documentation for this class was generated from the following file:

- TopLoc_Datum3D.hxx